Generated script and makefiles to follow up the previous commit.
authorRamsey Harris <ramsey@ti.com>
Tue, 10 Feb 2015 23:50:26 +0000 (15:50 -0800)
committerRobert Tivy <rtivy@ti.com>
Thu, 12 Feb 2015 00:07:47 +0000 (16:07 -0800)
Makefile.in
configure
linux/etc/Makefile.in
linux/src/api/Makefile.in
linux/src/daemon/Makefile.in
linux/src/mm/Makefile.in
linux/src/tests/Makefile.in
linux/src/transport/Makefile.in
linux/src/utils/Makefile.in

index 2774d698afff5003617cd2e533ff34f1c5789029..30df76d1fc2b28e22d5d37bad140b2fb09b79374 100644 (file)
@@ -85,6 +85,9 @@ GZIP_ENV = --best
 distuninstallcheck_listfiles = find . -type f -print
 distcleancheck_listfiles = find . -type f -print
 ACLOCAL = @ACLOCAL@
+AF_RPMSG = @AF_RPMSG@
+AF_RPMSG_FALSE = @AF_RPMSG_FALSE@
+AF_RPMSG_TRUE = @AF_RPMSG_TRUE@
 AMDEP_FALSE = @AMDEP_FALSE@
 AMDEP_TRUE = @AMDEP_TRUE@
 AMTAR = @AMTAR@
@@ -130,6 +133,8 @@ INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
 KDIR_FALSE = @KDIR_FALSE@
 KDIR_TRUE = @KDIR_TRUE@
 KERNEL_INSTALL_DIR = @KERNEL_INSTALL_DIR@
+KERNEL_INSTALL_DIR_FALSE = @KERNEL_INSTALL_DIR_FALSE@
+KERNEL_INSTALL_DIR_TRUE = @KERNEL_INSTALL_DIR_TRUE@
 LDFLAGS = @LDFLAGS@
 LIBOBJS = @LIBOBJS@
 LIBS = @LIBS@
index df1798ffd614efd85ea734b4fc0b5ec33d3febf7..0249c7e3345fea4acc1a54dec684f1e9a5c0d88e 100755 (executable)
--- a/configure
+++ b/configure
@@ -461,7 +461,7 @@ ac_includes_default="\
 # include <unistd.h>
 #endif"
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL AM_CFLAGS AM_LDFLAGS PLATFORM CMEM_INSTALL_DIR KERNEL_INSTALL_DIR DRM_PREFIX OMAPL138_TRUE OMAPL138_FALSE C66AK2E_TRUE C66AK2E_FALSE TCI6614_TRUE TCI6614_FALSE TCI6630_TRUE TCI6630_FALSE TCI6636_TRUE TCI6636_FALSE TCI6638_TRUE TCI6638_FALSE OMAP54XX_SMP_TRUE OMAP54XX_SMP_FALSE DRA7XX_TRUE DRA7XX_FALSE CMEM_TRUE CMEM_FALSE KDIR_TRUE KDIR_FALSE DRM_TRUE DRM_FALSE LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE EGREP LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP LIBTOOL AM_CFLAGS AM_LDFLAGS PLATFORM CMEM_INSTALL_DIR KERNEL_INSTALL_DIR AF_RPMSG DRM_PREFIX OMAPL138_TRUE OMAPL138_FALSE C66AK2E_TRUE C66AK2E_FALSE TCI6614_TRUE TCI6614_FALSE TCI6630_TRUE TCI6630_FALSE TCI6636_TRUE TCI6636_FALSE TCI6638_TRUE TCI6638_FALSE OMAP54XX_SMP_TRUE OMAP54XX_SMP_FALSE DRA7XX_TRUE DRA7XX_FALSE CMEM_TRUE CMEM_FALSE KDIR_TRUE KDIR_FALSE KERNEL_INSTALL_DIR_TRUE KERNEL_INSTALL_DIR_FALSE DRM_TRUE DRM_FALSE AF_RPMSG_TRUE AF_RPMSG_FALSE LIBOBJS LTLIBOBJS'
 ac_subst_files=''
 
 # Initialize some variables set by options.
@@ -946,6 +946,10 @@ ac_env_KERNEL_INSTALL_DIR_set=${KERNEL_INSTALL_DIR+set}
 ac_env_KERNEL_INSTALL_DIR_value=$KERNEL_INSTALL_DIR
 ac_cv_env_KERNEL_INSTALL_DIR_set=${KERNEL_INSTALL_DIR+set}
 ac_cv_env_KERNEL_INSTALL_DIR_value=$KERNEL_INSTALL_DIR
+ac_env_AF_RPMSG_set=${AF_RPMSG+set}
+ac_env_AF_RPMSG_value=$AF_RPMSG
+ac_cv_env_AF_RPMSG_set=${AF_RPMSG+set}
+ac_cv_env_AF_RPMSG_value=$AF_RPMSG
 ac_env_DRM_PREFIX_set=${DRM_PREFIX+set}
 ac_env_DRM_PREFIX_value=$DRM_PREFIX
 ac_cv_env_DRM_PREFIX_set=${DRM_PREFIX+set}
@@ -1070,6 +1074,7 @@ Some influential environment variables:
               Installation path directory to the CMEM libraries
   KERNEL_INSTALL_DIR
               Installation path to the Linux kernel.
+  AF_RPMSG    Address Family used by the RPMSG driver
   DRM_PREFIX  Installation location to the DRM library.
 
 Use these variables to override the choices made by `configure' or to help
@@ -3716,7 +3721,7 @@ ia64-*-hpux*)
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 3719 "configure"' > conftest.$ac_ext
+  echo '#line 3724 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -6141,11 +6146,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6144: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6149: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6148: \$? = $ac_status" >&5
+   echo "$as_me:6153: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -6409,11 +6414,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6412: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6417: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:6416: \$? = $ac_status" >&5
+   echo "$as_me:6421: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -6513,11 +6518,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:6516: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:6521: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:6520: \$? = $ac_status" >&5
+   echo "$as_me:6525: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -8858,7 +8863,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 8861 "configure"
+#line 8866 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -8958,7 +8963,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 8961 "configure"
+#line 8966 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -11298,11 +11303,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:11301: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:11306: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:11305: \$? = $ac_status" >&5
+   echo "$as_me:11310: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -11402,11 +11407,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:11405: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:11410: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:11409: \$? = $ac_status" >&5
+   echo "$as_me:11414: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -12709,11 +12714,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12712: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12717: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:12716: \$? = $ac_status" >&5
+   echo "$as_me:12721: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -12977,11 +12982,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12980: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12985: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:12984: \$? = $ac_status" >&5
+   echo "$as_me:12989: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -13081,11 +13086,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:13084: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:13089: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:13088: \$? = $ac_status" >&5
+   echo "$as_me:13093: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -16781,6 +16786,7 @@ done
 
 
 
+
 # Test platform variable for setting
 if test "x$PLATFORM" = "xOMAPL138"; then
   { echo "$as_me:$LINENO: PLATFORM is set to ${PLATFORM}" >&5
 fi
 
 
-# Test for required KERNEL path
-if test "x$KERNEL_INSTALL_DIR" = "x"; then
-  { { echo "$as_me:$LINENO: error: Kernel path for ${PLATFORM} is not set" >&5
-echo "$as_me: error: Kernel path for ${PLATFORM} is not set" >&2;}
+# If platform is specified, make sure at least one of
+# KERNEL_INSTALL_DIR or AF_MSG are set.
+if test -n "$PLATFORM" -a -z "$KERNEL_INSTALL_DIR" -a -z "$AF_RPMSG"; then
+  { { echo "$as_me:$LINENO: error: Must set at least one of KERNEL_INSTALL_DIR or AF_RPMSG" >&5
+echo "$as_me: error: Must set at least one of KERNEL_INSTALL_DIR or AF_RPMSG" >&2;}
    { (exit 1); exit 1; }; }
 fi
 
@@ -16868,6 +16875,7 @@ fi
 
 
 
+
 # Define specific variables to be used in Makefile.am
 
 
 
 
 
+if test -n "$KERNEL_INSTALL_DIR"; then
+  KERNEL_INSTALL_DIR_TRUE=
+  KERNEL_INSTALL_DIR_FALSE='#'
+else
+  KERNEL_INSTALL_DIR_TRUE='#'
+  KERNEL_INSTALL_DIR_FALSE=
+fi
+
+
+
 if test "x$DRM_PREFIX" != "x"; then
   DRM_TRUE=
   DRM_FALSE='#'
@@ -16980,6 +16998,16 @@ else
 fi
 
 
+
+if test -n "$AF_RPMSG"; then
+  AF_RPMSG_TRUE=
+  AF_RPMSG_FALSE='#'
+else
+  AF_RPMSG_TRUE='#'
+  AF_RPMSG_FALSE=
+fi
+
+
 # Generate Makefile(s)
           ac_config_files="$ac_config_files Makefile"
 
@@ -17230,6 +17258,13 @@ echo "$as_me: error: conditional \"KDIR\" was never defined.
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
+if test -z "${KERNEL_INSTALL_DIR_TRUE}" && test -z "${KERNEL_INSTALL_DIR_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"KERNEL_INSTALL_DIR\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"KERNEL_INSTALL_DIR\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
 if test -z "${DRM_TRUE}" && test -z "${DRM_FALSE}"; then
   { { echo "$as_me:$LINENO: error: conditional \"DRM\" was never defined.
 Usually this means the macro was only invoked conditionally." >&5
@@ -17237,6 +17272,13 @@ echo "$as_me: error: conditional \"DRM\" was never defined.
 Usually this means the macro was only invoked conditionally." >&2;}
    { (exit 1); exit 1; }; }
 fi
+if test -z "${AF_RPMSG_TRUE}" && test -z "${AF_RPMSG_FALSE}"; then
+  { { echo "$as_me:$LINENO: error: conditional \"AF_RPMSG\" was never defined.
+Usually this means the macro was only invoked conditionally." >&5
+echo "$as_me: error: conditional \"AF_RPMSG\" was never defined.
+Usually this means the macro was only invoked conditionally." >&2;}
+   { (exit 1); exit 1; }; }
+fi
 
 : ${CONFIG_STATUS=./config.status}
 ac_clean_files_save=$ac_clean_files
@@ -17842,6 +17884,7 @@ s,@AM_LDFLAGS@,$AM_LDFLAGS,;t t
 s,@PLATFORM@,$PLATFORM,;t t
 s,@CMEM_INSTALL_DIR@,$CMEM_INSTALL_DIR,;t t
 s,@KERNEL_INSTALL_DIR@,$KERNEL_INSTALL_DIR,;t t
+s,@AF_RPMSG@,$AF_RPMSG,;t t
 s,@DRM_PREFIX@,$DRM_PREFIX,;t t
 s,@OMAPL138_TRUE@,$OMAPL138_TRUE,;t t
 s,@OMAPL138_FALSE@,$OMAPL138_FALSE,;t t
@@ -17863,8 +17906,12 @@ s,@CMEM_TRUE@,$CMEM_TRUE,;t t
 s,@CMEM_FALSE@,$CMEM_FALSE,;t t
 s,@KDIR_TRUE@,$KDIR_TRUE,;t t
 s,@KDIR_FALSE@,$KDIR_FALSE,;t t
+s,@KERNEL_INSTALL_DIR_TRUE@,$KERNEL_INSTALL_DIR_TRUE,;t t
+s,@KERNEL_INSTALL_DIR_FALSE@,$KERNEL_INSTALL_DIR_FALSE,;t t
 s,@DRM_TRUE@,$DRM_TRUE,;t t
 s,@DRM_FALSE@,$DRM_FALSE,;t t
+s,@AF_RPMSG_TRUE@,$AF_RPMSG_TRUE,;t t
+s,@AF_RPMSG_FALSE@,$AF_RPMSG_FALSE,;t t
 s,@LIBOBJS@,$LIBOBJS,;t t
 s,@LTLIBOBJS@,$LTLIBOBJS,;t t
 CEOF
index 3d120dfc7714fc82ae415fcf8f98b3f81192d993..35ab82947f6f4bde779ed93c980afd12a9815143 100644 (file)
@@ -49,6 +49,9 @@ SOURCES =
 DIST_SOURCES =
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
+AF_RPMSG = @AF_RPMSG@
+AF_RPMSG_FALSE = @AF_RPMSG_FALSE@
+AF_RPMSG_TRUE = @AF_RPMSG_TRUE@
 AMDEP_FALSE = @AMDEP_FALSE@
 AMDEP_TRUE = @AMDEP_TRUE@
 AMTAR = @AMTAR@
@@ -94,6 +97,8 @@ INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
 KDIR_FALSE = @KDIR_FALSE@
 KDIR_TRUE = @KDIR_TRUE@
 KERNEL_INSTALL_DIR = @KERNEL_INSTALL_DIR@
+KERNEL_INSTALL_DIR_FALSE = @KERNEL_INSTALL_DIR_FALSE@
+KERNEL_INSTALL_DIR_TRUE = @KERNEL_INSTALL_DIR_TRUE@
 LDFLAGS = @LDFLAGS@
 LIBOBJS = @LIBOBJS@
 LIBS = @LIBS@
index 930634cfe6e85954d397b673a99996b2563a12f4..7586aaf2462ec7a652e5535d31b0e2e37e3bd24e 100644 (file)
@@ -39,7 +39,8 @@ POST_UNINSTALL = :
 build_triplet = @build@
 host_triplet = @host@
 @DRA7XX_TRUE@am__append_1 = -DGATEMP_SUPPORT
-@DRA7XX_TRUE@am__append_2 = $(top_srcdir)/linux/include/IGateProvider.h \
+@KERNEL_INSTALL_DIR_TRUE@am__append_2 = -I$(KERNEL_INSTALL_DIR)/include/generated/uapi
+@DRA7XX_TRUE@am__append_3 = $(top_srcdir)/linux/include/IGateProvider.h \
 @DRA7XX_TRUE@                        $(top_srcdir)/linux/include/GateHWSpinlock.h \
 @DRA7XX_TRUE@                        $(top_srcdir)/linux/include/GateMutex.h \
 @DRA7XX_TRUE@                        $(top_srcdir)/linux/include/GateMP_config.h \
@@ -118,15 +119,17 @@ ETAGS = etags
 CTAGS = ctags
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
+AF_RPMSG = @AF_RPMSG@
+AF_RPMSG_FALSE = @AF_RPMSG_FALSE@
+AF_RPMSG_TRUE = @AF_RPMSG_TRUE@
 AMDEP_FALSE = @AMDEP_FALSE@
 AMDEP_TRUE = @AMDEP_TRUE@
 AMTAR = @AMTAR@
 
 # additional include paths necessary to compile the library
-AM_CFLAGS = -I$(top_srcdir)/linux/include \
-       -I$(top_srcdir)/hlos_common/include -I$(top_srcdir)/packages \
-       -I$(KERNEL_INSTALL_DIR)/include/generated/uapi -D_GNU_SOURCE \
-       -Wall @AM_CFLAGS@ $(am__append_1)
+AM_CFLAGS = -I$(top_srcdir)/hlos_common/include -D_GNU_SOURCE -Wall \
+       $(am__append_1) $(am__append_2) -I$(top_srcdir)/linux/include \
+       -I$(top_srcdir)/packages @AM_CFLAGS@
 AM_LDFLAGS = @AM_LDFLAGS@
 AR = @AR@
 AUTOCONF = @AUTOCONF@
@@ -168,6 +171,8 @@ INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
 KDIR_FALSE = @KDIR_FALSE@
 KDIR_TRUE = @KDIR_TRUE@
 KERNEL_INSTALL_DIR = @KERNEL_INSTALL_DIR@
+KERNEL_INSTALL_DIR_FALSE = @KERNEL_INSTALL_DIR_FALSE@
+KERNEL_INSTALL_DIR_TRUE = @KERNEL_INSTALL_DIR_TRUE@
 LDFLAGS = @LDFLAGS@
 LIBOBJS = @LIBOBJS@
 LIBS = @LIBS@
@@ -274,7 +279,7 @@ libtiipc_la_SOURCES = $(libtiipc_la_HEADERS) \
        $(top_srcdir)/packages/ti/ipc/MultiProc.h \
        $(top_srcdir)/packages/ti/ipc/MessageQ.h \
        $(top_srcdir)/linux/include/ti/ipc/Std.h MessageQ.c \
-       MultiProc.c NameServer.c Ipc.c $(am__append_2)
+       MultiProc.c NameServer.c Ipc.c $(am__append_3)
 
 # Add version info to the shared library
 libtiipc_la_LDFLAGS = -version-info 1:0:0
index 81075c94d478087ba069a11b6e460fcdfdd5e8bf..69cb2f0aee80ea28e75d4ee996e80f9003d0c9b4 100644 (file)
@@ -37,19 +37,21 @@ POST_UNINSTALL = :
 build_triplet = @build@
 host_triplet = @host@
 @DRA7XX_TRUE@am__append_1 = -DGATEMP_SUPPORT
+@KERNEL_INSTALL_DIR_TRUE@am__append_2 = -I$(KERNEL_INSTALL_DIR)/include/generated/uapi
+@AF_RPMSG_TRUE@am__append_3 = -DAF_RPMSG=$(AF_RPMSG)
 bin_PROGRAMS = $(am__EXEEXT_1) $(am__EXEEXT_2) $(am__EXEEXT_3) \
        $(am__EXEEXT_4) $(am__EXEEXT_5) $(am__EXEEXT_6) \
        $(am__EXEEXT_7) $(am__EXEEXT_8) $(am__EXEEXT_9)
-@OMAP54XX_SMP_TRUE@am__append_2 = lad_omap54xx_smp
-@DRA7XX_TRUE@@OMAP54XX_SMP_FALSE@am__append_3 = lad_dra7xx
-@DRA7XX_FALSE@@OMAP54XX_SMP_FALSE@@OMAPL138_TRUE@am__append_4 = lad_omapl138
-@C66AK2E_TRUE@@DRA7XX_FALSE@@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@am__append_5 = lad_66ak2e
-@C66AK2E_FALSE@@DRA7XX_FALSE@@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_TRUE@am__append_6 = lad_tci6614
-@C66AK2E_FALSE@@DRA7XX_FALSE@@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6630_TRUE@am__append_7 = lad_tci6630
-@C66AK2E_FALSE@@DRA7XX_FALSE@@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6630_FALSE@@TCI6636_TRUE@am__append_8 = lad_tci6636
-@C66AK2E_FALSE@@DRA7XX_FALSE@@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6630_FALSE@@TCI6636_FALSE@@TCI6638_TRUE@am__append_9 = lad_tci6638
-@C66AK2E_FALSE@@DRA7XX_FALSE@@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6630_FALSE@@TCI6636_FALSE@@TCI6638_FALSE@am__append_10 = lad_omap54xx_smp lad_dra7xx lad_omapl138 lad_66ak2e lad_tci6614 lad_tci6630 lad_tci6636 lad_tci6638
-@DRA7XX_TRUE@am__append_11 = \
+@OMAP54XX_SMP_TRUE@am__append_4 = lad_omap54xx_smp
+@DRA7XX_TRUE@@OMAP54XX_SMP_FALSE@am__append_5 = lad_dra7xx
+@DRA7XX_FALSE@@OMAP54XX_SMP_FALSE@@OMAPL138_TRUE@am__append_6 = lad_omapl138
+@C66AK2E_TRUE@@DRA7XX_FALSE@@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@am__append_7 = lad_66ak2e
+@C66AK2E_FALSE@@DRA7XX_FALSE@@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_TRUE@am__append_8 = lad_tci6614
+@C66AK2E_FALSE@@DRA7XX_FALSE@@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6630_TRUE@am__append_9 = lad_tci6630
+@C66AK2E_FALSE@@DRA7XX_FALSE@@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6630_FALSE@@TCI6636_TRUE@am__append_10 = lad_tci6636
+@C66AK2E_FALSE@@DRA7XX_FALSE@@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6630_FALSE@@TCI6636_FALSE@@TCI6638_TRUE@am__append_11 = lad_tci6638
+@C66AK2E_FALSE@@DRA7XX_FALSE@@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6630_FALSE@@TCI6636_FALSE@@TCI6638_FALSE@am__append_12 = lad_omap54xx_smp lad_dra7xx lad_omapl138 lad_66ak2e lad_tci6614 lad_tci6630 lad_tci6636 lad_tci6638
+@DRA7XX_TRUE@am__append_13 = \
 @DRA7XX_TRUE@                GateMP_daemon.c \
 @DRA7XX_TRUE@          GateHWSpinlock.c \
 @DRA7XX_TRUE@          GateHWSpinlock_daemon.c \
@@ -353,15 +355,18 @@ ETAGS = etags
 CTAGS = ctags
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
+AF_RPMSG = @AF_RPMSG@
+AF_RPMSG_FALSE = @AF_RPMSG_FALSE@
+AF_RPMSG_TRUE = @AF_RPMSG_TRUE@
 AMDEP_FALSE = @AMDEP_FALSE@
 AMDEP_TRUE = @AMDEP_TRUE@
 AMTAR = @AMTAR@
 
 # additional include paths necessary to compile the program
-AM_CFLAGS = -I$(top_srcdir)/linux/include \
-       -I$(top_srcdir)/hlos_common/include -I$(top_srcdir)/packages \
-       -I$(KERNEL_INSTALL_DIR)/include/generated/uapi -D_GNU_SOURCE \
-       -Wall @AM_CFLAGS@ $(am__append_1)
+AM_CFLAGS = -I$(top_srcdir)/hlos_common/include -D_GNU_SOURCE -Wall \
+       $(am__append_1) $(am__append_2) $(am__append_3) \
+       -I$(top_srcdir)/linux/include -I$(top_srcdir)/packages \
+       @AM_CFLAGS@ $(am__empty)
 AM_LDFLAGS = @AM_LDFLAGS@
 AR = @AR@
 AUTOCONF = @AUTOCONF@
@@ -403,6 +408,8 @@ INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
 KDIR_FALSE = @KDIR_FALSE@
 KDIR_TRUE = @KDIR_TRUE@
 KERNEL_INSTALL_DIR = @KERNEL_INSTALL_DIR@
+KERNEL_INSTALL_DIR_FALSE = @KERNEL_INSTALL_DIR_FALSE@
+KERNEL_INSTALL_DIR_TRUE = @KERNEL_INSTALL_DIR_TRUE@
 LDFLAGS = @LDFLAGS@
 LIBOBJS = @LIBOBJS@
 LIBS = @LIBS@
@@ -493,7 +500,7 @@ common_sources = lad.c MessageQ_daemon.c MultiProc_daemon.c \
        $(top_srcdir)/linux/include/net/rpmsg.h \
        $(top_srcdir)/packages/ti/ipc/MessageQ.h \
        $(top_srcdir)/packages/ti/ipc/NameServer.h \
-       $(top_srcdir)/packages/ti/ipc/MultiProc.h $(am__append_11)
+       $(top_srcdir)/packages/ti/ipc/MultiProc.h $(am__append_13)
 
 # list of sources for the 'lad' binary and to add to the source distribution
 #
index 9211ab83f0e4de15f61dfbe6fd23e436cb013936..7e50d529ebf252ef4a3478a45d352820fdd5873b 100644 (file)
@@ -91,6 +91,9 @@ ETAGS = etags
 CTAGS = ctags
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
+AF_RPMSG = @AF_RPMSG@
+AF_RPMSG_FALSE = @AF_RPMSG_FALSE@
+AF_RPMSG_TRUE = @AF_RPMSG_TRUE@
 AMDEP_FALSE = @AMDEP_FALSE@
 AMDEP_TRUE = @AMDEP_TRUE@
 AMTAR = @AMTAR@
@@ -138,6 +141,8 @@ INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
 KDIR_FALSE = @KDIR_FALSE@
 KDIR_TRUE = @KDIR_TRUE@
 KERNEL_INSTALL_DIR = @KERNEL_INSTALL_DIR@
+KERNEL_INSTALL_DIR_FALSE = @KERNEL_INSTALL_DIR_FALSE@
+KERNEL_INSTALL_DIR_TRUE = @KERNEL_INSTALL_DIR_TRUE@
 LDFLAGS = @LDFLAGS@
 LIBOBJS = @LIBOBJS@
 LIBS = @LIBS@
index 31f003426e33452272f2994fd55c4fabd58313c8..55e40676b5d774b0b79f94e8ea2d2e5de1220409 100644 (file)
@@ -40,9 +40,9 @@ host_triplet = @host@
 @DRM_TRUE@        -I$(DRM_PREFIX)/usr/include/libdrm \
 @DRM_TRUE@        -I$(DRM_PREFIX)/usr/include/omap
 
-@CMEM_TRUE@am__append_2 = \
-@CMEM_TRUE@        -I$(CMEM_INSTALL_DIR)/include
-
+@CMEM_TRUE@am__append_2 = -I$(CMEM_INSTALL_DIR)/include
+@KERNEL_INSTALL_DIR_TRUE@am__append_3 = -I$(KERNEL_INSTALL_DIR)/include/generated/uapi
+@AF_RPMSG_TRUE@am__append_4 = -DAF_RPMSG=$(AF_RPMSG)
 bin_PROGRAMS = ping_rpmsg$(EXEEXT) MessageQApp$(EXEEXT) \
        MessageQBench$(EXEEXT) MessageQMulti$(EXEEXT) \
        MessageQMultiMulti$(EXEEXT) NameServerApp$(EXEEXT) \
@@ -53,28 +53,28 @@ bin_PROGRAMS = ping_rpmsg$(EXEEXT) MessageQApp$(EXEEXT) \
        $(am__EXEEXT_1) $(am__EXEEXT_6) $(am__EXEEXT_7)
 
 # Add platform specific bin application's here
-@OMAP54XX_SMP_TRUE@am__append_3 = 
-@DRM_TRUE@@KDIR_TRUE@@OMAP54XX_SMP_TRUE@am__append_4 = mmrpc_test
+@OMAP54XX_SMP_TRUE@am__append_5 = 
+@DRM_TRUE@@KDIR_TRUE@@OMAP54XX_SMP_TRUE@am__append_6 = mmrpc_test
 # Add platform specific bin application's here
-@DRA7XX_TRUE@@OMAP54XX_SMP_FALSE@am__append_5 = 
-@CMEM_TRUE@@DRA7XX_TRUE@@OMAP54XX_SMP_FALSE@am__append_6 = GateMPApp
-@DRA7XX_TRUE@@DRM_TRUE@@KDIR_TRUE@@OMAP54XX_SMP_FALSE@am__append_7 = mmrpc_test
+@DRA7XX_TRUE@@OMAP54XX_SMP_FALSE@am__append_7 = 
+@CMEM_TRUE@@DRA7XX_TRUE@@OMAP54XX_SMP_FALSE@am__append_8 = GateMPApp
+@DRA7XX_TRUE@@DRM_TRUE@@KDIR_TRUE@@OMAP54XX_SMP_FALSE@am__append_9 = mmrpc_test
 # Add platform specific bin application's here
-@DRA7XX_FALSE@@OMAP54XX_SMP_FALSE@@OMAPL138_TRUE@am__append_8 = 
-@CMEM_TRUE@@DRA7XX_FALSE@@OMAP54XX_SMP_FALSE@@OMAPL138_TRUE@am__append_9 = nano_test
+@DRA7XX_FALSE@@OMAP54XX_SMP_FALSE@@OMAPL138_TRUE@am__append_10 = 
+@CMEM_TRUE@@DRA7XX_FALSE@@OMAP54XX_SMP_FALSE@@OMAPL138_TRUE@am__append_11 = nano_test
 # Add platform specific bin application's here
-@C66AK2E_TRUE@@DRA7XX_FALSE@@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@am__append_10 = 
+@C66AK2E_TRUE@@DRA7XX_FALSE@@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@am__append_12 = 
 # Add platform specific bin application's here
-@C66AK2E_FALSE@@DRA7XX_FALSE@@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_TRUE@am__append_11 = 
+@C66AK2E_FALSE@@DRA7XX_FALSE@@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_TRUE@am__append_13 = 
 # Add platform specific bin applications here
-@C66AK2E_FALSE@@DRA7XX_FALSE@@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6630_TRUE@am__append_12 = 
+@C66AK2E_FALSE@@DRA7XX_FALSE@@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6630_TRUE@am__append_14 = 
 # Add platform specific bin application's here
-@C66AK2E_FALSE@@DRA7XX_FALSE@@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6630_FALSE@@TCI6636_TRUE@am__append_13 = 
+@C66AK2E_FALSE@@DRA7XX_FALSE@@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6630_FALSE@@TCI6636_TRUE@am__append_15 = 
 # Add platform specific bin application's here
-@C66AK2E_FALSE@@DRA7XX_FALSE@@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6630_FALSE@@TCI6636_FALSE@@TCI6638_TRUE@am__append_14 = 
+@C66AK2E_FALSE@@DRA7XX_FALSE@@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6630_FALSE@@TCI6636_FALSE@@TCI6638_TRUE@am__append_16 = 
 # Add platform independent apps here or above in bin_PROGRAMS
-@C66AK2E_FALSE@@CMEM_TRUE@@DRA7XX_FALSE@@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6630_FALSE@@TCI6636_FALSE@@TCI6638_FALSE@am__append_15 = nano_test
-@C66AK2E_FALSE@@DRA7XX_FALSE@@DRM_TRUE@@KDIR_TRUE@@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6630_FALSE@@TCI6636_FALSE@@TCI6638_FALSE@am__append_16 = mmrpc_test
+@C66AK2E_FALSE@@CMEM_TRUE@@DRA7XX_FALSE@@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6630_FALSE@@TCI6636_FALSE@@TCI6638_FALSE@am__append_17 = nano_test
+@C66AK2E_FALSE@@DRA7XX_FALSE@@DRM_TRUE@@KDIR_TRUE@@OMAP54XX_SMP_FALSE@@OMAPL138_FALSE@@TCI6614_FALSE@@TCI6630_FALSE@@TCI6636_FALSE@@TCI6638_FALSE@am__append_18 = mmrpc_test
 subdir = linux/src/tests
 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
@@ -169,15 +169,18 @@ CTAGS = ctags
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 VPATH = ../../../packages/ti/ipc/tests
 ACLOCAL = @ACLOCAL@
+AF_RPMSG = @AF_RPMSG@
+AF_RPMSG_FALSE = @AF_RPMSG_FALSE@
+AF_RPMSG_TRUE = @AF_RPMSG_TRUE@
 AMDEP_FALSE = @AMDEP_FALSE@
 AMDEP_TRUE = @AMDEP_TRUE@
 AMTAR = @AMTAR@
 
 # additional include paths necessary to compile the program
-AM_CFLAGS = -I$(top_srcdir)/linux/include \
-       -I$(top_srcdir)/hlos_common/include -I$(top_srcdir)/packages \
-       -I$(KERNEL_INSTALL_DIR)/include/generated/uapi -D_GNU_SOURCE \
-       -Wall @AM_CFLAGS@ $(am__append_1) $(am__append_2)
+AM_CFLAGS = -I$(top_srcdir)/hlos_common/include -D_GNU_SOURCE -Wall \
+       $(am__append_1) $(am__append_2) $(am__append_3) \
+       $(am__append_4) -I$(top_srcdir)/linux/include \
+       -I$(top_srcdir)/packages @AM_CFLAGS@
 AM_LDFLAGS = @AM_LDFLAGS@
 AR = @AR@
 AUTOCONF = @AUTOCONF@
@@ -219,6 +222,8 @@ INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
 KDIR_FALSE = @KDIR_FALSE@
 KDIR_TRUE = @KDIR_TRUE@
 KERNEL_INSTALL_DIR = @KERNEL_INSTALL_DIR@
+KERNEL_INSTALL_DIR_FALSE = @KERNEL_INSTALL_DIR_FALSE@
+KERNEL_INSTALL_DIR_TRUE = @KERNEL_INSTALL_DIR_TRUE@
 LDFLAGS = @LDFLAGS@
 LIBOBJS = @LIBOBJS@
 LIBS = @LIBS@
index b020eb6b3822a4b858364f558ffcbe01f95a2a6f..f652706e305b3a578312b4fa7843bfabaf2f1972 100644 (file)
@@ -37,6 +37,8 @@ PRE_UNINSTALL = :
 POST_UNINSTALL = :
 build_triplet = @build@
 host_triplet = @host@
+@KERNEL_INSTALL_DIR_TRUE@am__append_1 = -I$(KERNEL_INSTALL_DIR)/include/generated/uapi
+@AF_RPMSG_TRUE@am__append_2 = -DAF_RPMSG=$(AF_RPMSG)
 subdir = linux/src/transport
 DIST_COMMON = $(libtitransportrpmsg_la_HEADERS) $(srcdir)/Makefile.am \
        $(srcdir)/Makefile.in
@@ -78,15 +80,17 @@ ETAGS = etags
 CTAGS = ctags
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
+AF_RPMSG = @AF_RPMSG@
+AF_RPMSG_FALSE = @AF_RPMSG_FALSE@
+AF_RPMSG_TRUE = @AF_RPMSG_TRUE@
 AMDEP_FALSE = @AMDEP_FALSE@
 AMDEP_TRUE = @AMDEP_TRUE@
 AMTAR = @AMTAR@
 
 # additional include paths necessary to compile the library
-AM_CFLAGS = -I$(top_srcdir)/linux/include -I$(top_srcdir)/hlos_common/include \
-        -I$(top_srcdir)/packages -I$(KERNEL_INSTALL_DIR)/include/generated/uapi\
-        -D_GNU_SOURCE -Wall @AM_CFLAGS@
-
+AM_CFLAGS = -I$(top_srcdir)/hlos_common/include -D_GNU_SOURCE -Wall \
+       $(am__append_1) $(am__append_2) -I$(top_srcdir)/linux/include \
+       -I$(top_srcdir)/packages @AM_CFLAGS@
 AM_LDFLAGS = @AM_LDFLAGS@
 AR = @AR@
 AUTOCONF = @AUTOCONF@
@@ -128,6 +132,8 @@ INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
 KDIR_FALSE = @KDIR_FALSE@
 KDIR_TRUE = @KDIR_TRUE@
 KERNEL_INSTALL_DIR = @KERNEL_INSTALL_DIR@
+KERNEL_INSTALL_DIR_FALSE = @KERNEL_INSTALL_DIR_FALSE@
+KERNEL_INSTALL_DIR_TRUE = @KERNEL_INSTALL_DIR_TRUE@
 LDFLAGS = @LDFLAGS@
 LIBOBJS = @LIBOBJS@
 LIBS = @LIBS@
@@ -207,10 +213,6 @@ sharedstatedir = @sharedstatedir@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
 
-#if DRA7XX
-#AM_CFLAGS += -DGATEMP_SUPPORT
-#endif
-
 ###############################################################################
 # THE LIBRARIES TO BUILD
 ###############################################################################
index a3d673cdad325c4c98aa08b521b670df7ddcf2bf..2fcfdf7cebdf7f4b4eade7b1c018b1ff3e9625c7 100644 (file)
@@ -38,6 +38,8 @@ PRE_UNINSTALL = :
 POST_UNINSTALL = :
 build_triplet = @build@
 host_triplet = @host@
+@KERNEL_INSTALL_DIR_TRUE@am__append_1 = -I$(KERNEL_INSTALL_DIR)/include/generated/uapi
+@AF_RPMSG_TRUE@am__append_2 = -DAF_RPMSG=$(AF_RPMSG)
 subdir = linux/src/utils
 DIST_COMMON = $(libtiipcutils_la_HEADERS) \
        $(libtiipcutils_lad_la_HEADERS) $(srcdir)/Makefile.am \
@@ -91,15 +93,17 @@ ETAGS = etags
 CTAGS = ctags
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
+AF_RPMSG = @AF_RPMSG@
+AF_RPMSG_FALSE = @AF_RPMSG_FALSE@
+AF_RPMSG_TRUE = @AF_RPMSG_TRUE@
 AMDEP_FALSE = @AMDEP_FALSE@
 AMDEP_TRUE = @AMDEP_TRUE@
 AMTAR = @AMTAR@
 
 # additional include paths necessary to compile the library
-AM_CFLAGS = -I$(top_srcdir)/linux/include -I$(top_srcdir)/hlos_common/include \
-        -I$(top_srcdir)/packages -I$(KERNEL_INSTALL_DIR)/include/generated/uapi\
-        -D_GNU_SOURCE -Wall @AM_CFLAGS@
-
+AM_CFLAGS = -I$(top_srcdir)/hlos_common/include -D_GNU_SOURCE -Wall \
+       $(am__append_1) $(am__append_2) -I$(top_srcdir)/linux/include \
+       -I$(top_srcdir)/packages @AM_CFLAGS@
 AM_LDFLAGS = @AM_LDFLAGS@
 AR = @AR@
 AUTOCONF = @AUTOCONF@
@@ -141,6 +145,8 @@ INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
 KDIR_FALSE = @KDIR_FALSE@
 KDIR_TRUE = @KDIR_TRUE@
 KERNEL_INSTALL_DIR = @KERNEL_INSTALL_DIR@
+KERNEL_INSTALL_DIR_FALSE = @KERNEL_INSTALL_DIR_FALSE@
+KERNEL_INSTALL_DIR_TRUE = @KERNEL_INSTALL_DIR_TRUE@
 LDFLAGS = @LDFLAGS@
 LIBOBJS = @LIBOBJS@
 LIBS = @LIBS@